package p01_zmienne;

import java.util.Scanner;

public class Paliwo2 {
	// W tej wersji do wczytywania używam Scannera, a do wypisywania używam printf
	// Pozostaję przy domyślnych ustawieniach regionalnych - dla polskich używany będzie przecinek.

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		
		System.out.print("Podaj cenę paliwa: ");
		double cena = scanner.nextDouble();
		System.out.print("Podaj spalanie na 100 km: ");
		double spalanie = scanner.nextDouble();
		System.out.print("Podaj odległość w km: ");
		double dystans = scanner.nextDouble();
		
		double koszt = cena * spalanie * dystans / 100;
		System.out.printf("Koszt przejazdu %.0f km wyniesie %.2f\n", dystans, koszt);
		
		// Akurat w przypadku Scannera czytającego dane z System.in,
		// nie stanie się nic złego, jeśli go nie zamkniemy.
		// Ale Eclipse przypomina, aby obiekt Scanner zamknąć - więc to tutaj robię, aby nie było ostrzeżnia.
		scanner.close();
		
		// Gdy będziemy mówić o plikach, dowiemy się więcej o zamykaniu/zwalnianiu zasobów.
	}

}
